## WMS Set Event Report request WMS Set Event Report request |

## Functions

QmiMessageWmsSetEventReportInput * | qmi_message_wms_set_event_report_input_new ()
QmiMessageWmsSetEventReportInput * | qmi_message_wms_set_event_report_input_ref ()
void | qmi_message_wms_set_event_report_input_unref ()
gboolean | qmi_message_wms_set_event_report_input_get_new_mt_message_indicator ()
gboolean | qmi_message_wms_set_event_report_input_set_new_mt_message_indicator ()
QmiMessageWmsSetEventReportOutput * | qmi_message_wms_set_event_report_output_ref ()
void | qmi_message_wms_set_event_report_output_unref ()
gboolean | qmi_message_wms_set_event_report_output_get_result ()
void | qmi_client_wms_set_event_report ()
QmiMessageWmsSetEventReportOutput * | qmi_client_wms_set_event_report_finish ()

## Types and Values

| QmiMessageWmsSetEventReportInput
| QmiMessageWmsSetEventReportOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageWmsSetEventReportInput
        ╰── QmiMessageWmsSetEventReportOutput

## Description

## Functions

### qmi_message_wms_set_event_report_input_new ()

    QmiMessageWmsSetEventReportInput *
    qmi_message_wms_set_event_report_input_new
                                   (void);

Allocates a new QmiMessageWmsSetEventReportInput.

#### Returns

the newly created QmiMessageWmsSetEventReportInput. The returned value should be freed with `qmi_message_wms_set_event_report_input_unref()`.

Since: 1.0

### qmi_message_wms_set_event_report_input_ref ()

    QmiMessageWmsSetEventReportInput *
    qmi_message_wms_set_event_report_input_ref
                                   (QmiMessageWmsSetEventReportInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWmsSetEventReportInput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_wms_set_event_report_input_unref ()

    void
    qmi_message_wms_set_event_report_input_unref
                                   (QmiMessageWmsSetEventReportInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWmsSetEventReportInput. |

Since: 1.0

### qmi_message_wms_set_event_report_input_get_new_mt_message_indicator ()

    gboolean
    qmi_message_wms_set_event_report_input_get_new_mt_message_indicator
                                   (QmiMessageWmsSetEventReportInput *self,
                                    gboolean *value_new_mt_message_indicator_report,
                                    GError **error);

Get the 'New MT Message Indicator' field from `self` .

#### Parameters

self | a QmiMessageWmsSetEventReportInput. |
value_new_mt_message_indicator_report | a placeholder for the output gboolean, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wms_set_event_report_input_set_new_mt_message_indicator ()

    gboolean
    qmi_message_wms_set_event_report_input_set_new_mt_message_indicator
                                   (QmiMessageWmsSetEventReportInput *self,
                                    gboolean value_new_mt_message_indicator_report,
                                    GError **error);

Set the 'New MT Message Indicator' field in the message.

#### Parameters

self | a QmiMessageWmsSetEventReportInput. |
value_new_mt_message_indicator_report | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wms_set_event_report_output_ref ()

    QmiMessageWmsSetEventReportOutput *
    qmi_message_wms_set_event_report_output_ref
                                   (QmiMessageWmsSetEventReportOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWmsSetEventReportOutput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_wms_set_event_report_output_unref ()

    void
    qmi_message_wms_set_event_report_output_unref
                                   (QmiMessageWmsSetEventReportOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWmsSetEventReportOutput. |

Since: 1.0

### qmi_message_wms_set_event_report_output_get_result ()

    gboolean
    qmi_message_wms_set_event_report_output_get_result
                                   (QmiMessageWmsSetEventReportOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageWmsSetEventReportOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.0

### qmi_client_wms_set_event_report ()

    void
    qmi_client_wms_set_event_report (QmiClientWms *self,
                                     QmiMessageWmsSetEventReportInput *input,
                                     guint timeout,
                                     GCancellable *cancellable,
                                     GAsyncReadyCallback callback,
                                     gpointer user_data);

Asynchronously sends a Set Event Report request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_wms_set_event_report_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientWms. |
input | a QmiMessageWmsSetEventReportInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.0

### qmi_client_wms_set_event_report_finish ()

    QmiMessageWmsSetEventReportOutput *
    qmi_client_wms_set_event_report_finish
                                   (QmiClientWms *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_wms_set_event_report()`.

#### Parameters

self | a QmiClientWms. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_wms_set_event_report()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageWmsSetEventReportOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_wms_set_event_report_output_unref()`.

Since: 1.0

## Types and Values

### QmiMessageWmsSetEventReportInput

    typedef struct _QmiMessageWmsSetEventReportInput QmiMessageWmsSetEventReportInput;

The QmiMessageWmsSetEventReportInput structure contains private data and should only be accessed using the provided API.

Since: 1.0

### QmiMessageWmsSetEventReportOutput

    typedef struct _QmiMessageWmsSetEventReportOutput QmiMessageWmsSetEventReportOutput;

The QmiMessageWmsSetEventReportOutput structure contains private data and should only be accessed using the provided API.

Since: 1.0